local _,ns = ...

ns.color = {
  fade = 0.5,             -- Severity of the text fade when power is at "base" levels.
  normal = 1,             -- Opacity otherwise.
  useClassColor = {0,1,0},   -- true = Use your class's color rather than the color of the resource being tracked. false/nil = Always use the resource color. {red,green,blue} = use that color and nothing else.
  
  -- Consult EventHorizon's config documentation for how to classcolor anything in here.
  default = {1,1,1,1},    -- Color to use for various class-colored items when useClassColor is disabled.
  
  -- Individual combopoint colors.
  combo0 = {.3,.3,.3},
  combo1 = {.5,.5,.5},
  combo2 = {.7,.7,.7},
  combo3 = {1,1,1},
  combo4 = {1,0,0},
  combo5 = {1,0,0},
  
  -- Rune type colors.
  rune1 = {1,0,0},            -- Blood
  rune2 = {0.5,1,0},          -- Unholy
  rune3 = {0,0.5,1},          -- Frost
  rune4 = {0.7,0,1},          -- Death
  
  enchantFresh = {true,1,0.5},    -- Normal color to use for weapon enchants, the enchant separator, class warnings, and a few other things. Defaults to class colored, you'll want to change this if you set useClassColor differently.
  enchantExpiring = {1,0,0},      -- Use this color for enchants with under 5 minutes remaining and some of the class-specific warnings.
}

ns.config = {
  font = "Interface\\Addons\\EventHorizon_Vitals\\lucon.ttf",
  fontSizeLeft = 14,      -- Size of the primary power text.
  fontSizeRight = 10,     -- Size of weapon enchant and class notification text.
  fontSizeCenter = 14,    -- Size of the combo point (or other center-area not including runes) text.
  fontSizeRune = 14,      -- Size of the rune cooldown text.
  
  textOffset = {2,0},     -- Format {x,y} - Adjust if text is too close/far from the border or another text field. Generally a good idea to leave this one alone unless you've got font issues.
  
  runeCooldown = 9,       -- Number 1-9 = Only show the rune cooldown when at or below this number of seconds remaining. false/nil = NEVER show rune cooldowns and disable all rune handling (save some CPU). Default is 9.
  runeFont = "Interface\\Addons\\EventHorizon_Vitals\\lucon.ttf",
  runeReady = "-",        -- Character to use for runes that are ready and waiting to be used.
  runeCooling = "#",      -- Character to use when a rune's cooldown is above runeCooldown
  runeStartAlpha = 1,     -- When a rune begins its cooldown, start at this opacity (0 = fully transparent, 1 = fully opaque)
  runeAlphaStep = 0,      -- Raise the rune's opacity by this much per second until fully opaque, when on CD (0 = leave at runeStartAlpha, 1 = just jump to fully opaque [why?], anything inbetween = step up opacity by this much)
  runeSpacing = 15,       -- Spacing between DK runes. Note that the optimal number will depend on font and font size.
  runeOffset = 0,         -- VERTICAL offset of the rune display. Optimal number will depend on font and chosen cooldown settings.
  
  enchantSeparator = '|',   -- Character to separate mainhand and offhand enchant numbers. Set to '' (two quotes) to just have numbers with no separator.
  
  position = 'top',       -- Side of EH's frame to anchor to. Valid entries are 'top', 'bottom', or {point, anchorframe[, relative[, x[, y]]]} (normal anchoring scheme, square brackets are optional, yadda yadda. Ask if you're unsure.
  offset = 7,             -- Separation from EH's frame. Note that this does NOT include either addon's background/border.
  
  height = 15,            -- Height of the frame, discluding the background.
  
  slashDisable = true     -- Disable Vitals when EventHorizon is disabled (when using /eventhorizon or /ehz)?
}